summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2006-08-23 20:01:23 +0000
committerIan Stakenvicius <axs@gentoo.org>2006-08-23 20:01:23 +0000
commit8b963b111d77a4024816781ff854b5e0ae1e520f (patch)
treee3c985a3120583c82c438e437be1d209a8813312 /scripts
parent+postsync-0.2-alpha (diff)
downloadsunrise-reviewed-8b963b111d77a4024816781ff854b5e0ae1e520f.tar.gz
sunrise-reviewed-8b963b111d77a4024816781ff854b5e0ae1e520f.tar.bz2
sunrise-reviewed-8b963b111d77a4024816781ff854b5e0ae1e520f.zip
scripts/sunrise-commit: ask to allow -c to append to a modified ChangeLog, as the check keeps ChangeLog from being updated on an initial (first) commit
svn path=/sunrise/; revision=1009
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/sunrise-commit19
1 files changed, 18 insertions, 1 deletions
diff --git a/scripts/sunrise-commit b/scripts/sunrise-commit
index ba3f22a24..c64a5b5ef 100755
--- a/scripts/sunrise-commit
+++ b/scripts/sunrise-commit
@@ -44,7 +44,24 @@ changelog_append() {
echo "!!! pre-existing modifications please run sunrise-commit again without the -c"
echo "!!! option. To discard the pre-existing modifications run:"
echo "!!! svn revert ChangeLog"
- exit 1
+ echo "!!!"
+ echo -n "!!! "
+ echo -n "${BOLD}Are you SURE you want to append to ChangeLog?${NORMAL} [${GREEN}No${NORMAL}/${RED}Yes${NORMAL}] "
+ read choice
+ echo
+ case "$choice" in
+ yes|Yes|YES)
+ ;;
+
+ n*|N*|"")
+ echo "Aborting. Run sunrise-commit without the -c this time around."
+ exit 1 ;;
+
+ *)
+ echo "Unrecognized response - assuming no."
+ echo "Aborting. Run sunrise-commit without the -c this time around."
+ exit 1 ;;
+ esac
fi
ebegin "Appending/creating ChangeLog"
[ -e $(dirname $0)/echangelog ] && ec="$(dirname $0)/echangelog" || ec="echangelog"